@sapBrandColor: #000;
@sapHighlightColor: #cc8700;
@sapBaseColor: #ddd;
@sapShellColor: #fff;
@sapBackgroundColor: #fff;
@sapFontFamily: Arial, Helvetica, sans-serif; //<=new
@sapFontSize: 0.75em; //<=new
@sapTextColor: #000;
@sapLinkColor: #000;
@sapCompanyLogo: none;
@sapBackgroundImage: none;
@sapBackgroundImageOpacity: 1.0;
@sapBackgroundImageRepeat: false;


@sapSelectedColor: #2e9cea;
@sapActiveColor: @sapHighlightColor;
@sapHighlightTextColor: contrast(@sapHighlightColor, @sapTextColor, @sapContent_ContrastTextColor, @sapContent_ContrastTextThreshold);
@sapTitleColor: @sapTextColor;
@sapNegativeColor: #bb0000;
@sapCriticalColor: #e78c07;
@sapPositiveColor: #2b7d2b;
@sapNeutralColor: #ffffff;
@sapNegativeElementColor: @sapNegativeColor;
@sapCriticalElementColor: @sapCriticalColor;
@sapPositiveElementColor: @sapPositiveColor;
@sapNeutralElementColor:  @sapNeutralColor;

@sapContent_LineHeight: 1.3;  //<=new
@sapContent_ElementHeight: 1.37em;  //<=new
@sapContent_ElementHeight_PX: 22px;  //<=new
@sapContent_IconHeight: 16px; //<=new
@sapContent_IconColor: #000; //<=new
@sapContent_ContrastIconColor: @sapContent_ContrastTextColor; //<=new
@sapContent_NonInteractiveIconColor: @sapContent_IconColor; //<=new
@sapContent_MarkerIconColor: @sapContent_IconColor; //<=new
@sapContent_FocusColor: #000; //<=new
@sapContent_ContrastFocusColor: #fff; //<=new
@sapContent_ShadowColor: #000; //<=new
@sapContent_ContrastShadowColor: #fff; //<=new
@sapContent_SearchHighlightColor: #cc8700; //<=new
@sapContent_HelpColor: #cc8700; //<=new
@sapContent_LabelColor: @sapTextColor;
@sapContent_MonospaceFontFamily: lucida console, monospace; //<=new
@sapContent_DisabledTextColor: #666;
@sapContent_DisabledOpacity: 0.5; //<=new
@sapContent_ContrastTextThreshold: 0.65;
@sapContent_ContrastTextColor: #fff;
@sapContent_ForegroundColor: #e5e5e5;
@sapContent_ForegroundBorderColor: #000;
@sapContent_ForegroundTextColor: contrast(@sapContent_ForegroundColor, @sapTextColor, @sapContent_ContrastTextColor, @sapContent_ContrastTextThreshold);

@sapShell_Background: @sapShellColor;
@sapShell_BackgroundImage: @sapShell_Background;
@sapShell_BackgroundGradient: @sapShell_BackgroundImage;
@sapShell_BackgroundImageOpacity: @sapBackgroundImageOpacity;
@sapShell_BackgroundImageRepeat: @sapBackgroundImageRepeat;
@sapShell_BorderColor: #666;
@sapShell_TextColor: contrast(@sapShell_Background, @sapTextColor, @sapContent_ContrastTextColor, @sapContent_ContrastTextThreshold);
@sapShell_Favicon: none;

@sapButton_BorderWidth: 1px; //<=new
@sapButton_BorderCornerRadius: 0; //<=new
@sapButton_Background: #fff;
@sapButton_BorderColor: #000;
@sapButton_TextColor: contrast(@sapButton_Background, @sapTextColor, @sapContent_ContrastTextColor, @sapContent_ContrastTextThreshold);
@sapButton_Disabled_Background: #fff;
@sapButton_Disabled_BorderColor: #666;
@sapButton_Disabled_TextColor: contrast(@sapButton_Disabled_Background, #666, @sapContent_ContrastTextColor, @sapContent_ContrastTextThreshold);
@sapButton_Hover_Background: @sapHighlightColor;
@sapButton_Hover_BorderColor: #000;
@sapButton_Hover_TextColor: contrast(@sapButton_Hover_Background, @sapTextColor, @sapContent_ContrastTextColor, @sapContent_ContrastTextThreshold);
@sapButton_Emphasized_Background: @sapButton_Background;
@sapButton_Emphasized_BorderColor: @sapButton_BorderColor;
@sapButton_Emphasized_TextColor: contrast(@sapButton_Emphasized_Background, @sapTextColor, @sapContent_ContrastTextColor, @sapContent_ContrastTextThreshold);
@sapButton_Reject_Background: @sapButton_Background;
@sapButton_Accept_Background: @sapButton_Background;

@sapField_Background: #fff;
@sapField_BorderColor: #000;
@sapField_TextColor: #000;
@sapField_HelpBackground: #fff;
@sapField_BorderWidth: 1px; //<=new
@sapField_BorderCornerRadius: 0; //<=new
@sapField_Hover_Background: @sapField_Background;
@sapField_Hover_BorderColor: @sapField_BorderColor;
@sapField_Hover_HelpBackground: @sapHighlightColor;
@sapField_Focus_Background: @sapField_Background;
@sapField_Focus_BorderColor: @sapField_BorderColor;
@sapField_Focus_HelpBackground: @sapField_Background;
@sapField_Disabled_Background: #959595;
@sapField_Disabled_BorderColor: #4f4f4f;
@sapField_Disabled_TextColor: @sapContent_DisabledTextColor;
@sapField_Disabled_HelpBackground: @sapField_Disabled_Background;
@sapField_ReadOnly_Background: #959595;
@sapField_ReadOnly_BorderColor: #4f4f4f;
@sapField_ReadOnly_HelpBackground: @sapField_ReadOnly_Background;
@sapField_RequiredColor: #000;
@sapField_InvalidColor: contrast(@sapField_InvalidBackground, @sapTextColor, @sapContent_ContrastTextColor, @sapContent_ContrastTextThreshold);
@sapField_InvalidBackground: @sapHighlightColor;
@sapField_WarningColor: contrast(@sapField_WarningBackground, @sapTextColor, @sapContent_ContrastTextColor, @sapContent_ContrastTextThreshold);
@sapField_WarningBackground: @sapField_Background;
@sapField_SuccessColor: contrast(@sapField_SuccessBackground, @sapTextColor, @sapContent_ContrastTextColor, @sapContent_ContrastTextThreshold);
@sapField_SuccessBackground: @sapField_Background;

@sapGroup_TitleBackground: #fff;
@sapGroup_TitleBorderColor: #000;
@sapGroup_TitleTextColor: contrast(@sapGroup_TitleBackground, @sapTextColor, @sapContent_ContrastTextColor, @sapContent_ContrastTextThreshold);
@sapGroup_Title_FontSize: 1.0em; //<=new
@sapGroup_ContentBackground: @sapField_Background;
@sapGroup_ContentBorderColor: #000;
@sapGroup_BorderWidth: 1px; //<=new
@sapGroup_BorderCornerRadius: 0; //<=new
@sapGroup_FooterBackground: #fff;

@sapToolbar_Background: #fff;
@sapToolbar_SeparatorColor: #000;

@sapList_HeaderBackground: #fff;
@sapList_HeaderBorderColor: #000;
@sapList_HeaderTextColor: contrast(@sapList_HeaderBackground, @sapTextColor, @sapContent_ContrastTextColor, @sapContent_ContrastTextThreshold);
@sapList_BorderColor: #4f4f4f;
@sapList_BorderWidth: 1px; //<=new
@sapList_HighlightColor: @sapHighlightColor;
@sapList_SelectionBackgroundColor: #2e9cea;
@sapList_Background: #fff;
@sapList_Hover_Background: @sapHighlightColor;

@sapScrollBar_FaceColor: #4f4f4f;
@sapScrollBar_TrackColor: #fff;
@sapScrollBar_BorderColor: #4f4f4f;
@sapScrollBar_SymbolColor: #000;
@sapScrollBar_Dimension: 16px; //<=new
@sapScrollBar_Hover_FaceColor: #000;

@sapPageHeader_Background: #fff;
@sapPageHeader_BorderColor: #000;
@sapPageHeader_TextColor: contrast(@sapPageHeader_Background, @sapTextColor, @sapContent_ContrastTextColor, @sapContent_ContrastTextThreshold);
@sapPageFooter_Background: #fff;
@sapPageFooter_TextColor: contrast(@sapPageFooter_Background, @sapTextColor, @sapContent_ContrastTextColor, @sapContent_ContrastTextThreshold);

@sapInfobar_Background: #fff;

@sapObjectHeader_Background: #fff;

@sapBlockLayer_Background: #000;

@sapTile_Background: @sapGroup_ContentBackground;
@sapTile_BorderColor: @sapGroup_ContentBorderColor;
@sapTile_TitleTextColor: contrast(@sapTile_Background, @sapTextColor, @sapContent_ContrastTextColor, @sapContent_ContrastTextThreshold);
@sapTile_TextColor: @sapTile_TitleTextColor;
@sapTile_IconColor: contrast(@sapTile_Background, @sapContent_IconColor, @sapContent_ContrastIconColor, @sapContent_ContrastTextThreshold);

@sapChart_OrderedColor_1: #5cbae6; //<=new
@sapChart_OrderedColor_2: #b6d957; //<=new
@sapChart_OrderedColor_3: #fac364; //<=new
@sapChart_OrderedColor_4: #8cd3ff; //<=new
@sapChart_OrderedColor_5: #d998cb; //<=new
@sapChart_OrderedColor_6: #f2d249; //<=new
@sapChart_OrderedColor_7: #93b9c6; //<=new
@sapChart_OrderedColor_8: #ccc5a8; //<=new
@sapChart_OrderedColor_9: #52bacc; //<=new
@sapChart_OrderedColor_10: #dbdb46; //<=new
@sapChart_OrderedColor_11: #98aafb; //<=new

@sapChart_Bad: #dc0d0e; //<=new
@sapChart_Critical: #de890d; //<=new
@sapChart_Good: #3fa45b; //<=new
@sapChart_Neutral: #848f94; //<=new

@sapChart_Sequence_1: #27a3dd; //<=new
@sapChart_Sequence_2: #9dc62d; //<=new
@sapChart_Sequence_3: #f8ac29; //<=new
@sapChart_Sequence_Neutral: #848f94; //<=new
